SeExpr

Public Attributes | List of all members
ExprHighlighter::HighlightingRule Struct Reference

## Public Attributes
QRegExp | pattern
QTextCharFormat | format

## Detailed Description

Definition at line 28 of file ExprHighlighter.h.

## Member Data Documentation

## ◆ format

QTextCharFormat ExprHighlighter::HighlightingRule::format

Definition at line 30 of file ExprHighlighter.h.

Referenced by ExprHighlighter::highlightBlock(), and ExprHighlighter::init().

## ◆ pattern

QRegExp ExprHighlighter::HighlightingRule::pattern

Definition at line 29 of file ExprHighlighter.h.

Referenced by ExprHighlighter::highlightBlock(), and ExprHighlighter::init().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprHighlighter.h